## org.apache.batik.ext.awt.image
Class SVGComposite.InCompositeContext

    java.lang.Object
      org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext
          org.apache.batik.ext.awt.image.SVGComposite.InCompositeContext

All Implemented Interfaces:
  java.awt.CompositeContext

Enclosing class:
  SVGComposite

    public static class SVGComposite.InCompositeContext

extends SVGComposite.AlphaPreCompositeContext

Method Summary
`void` `precompose(java.awt.image.Raster src, java.awt.image.Raster dstIn, java.awt.image.WritableRaster dstOut)`

Methods inherited from class org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext
`compose, dispose`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### precompose

    public void precompose(java.awt.image.Raster src,
                           java.awt.image.Raster dstIn,
                           java.awt.image.WritableRaster dstOut)

  Specified by:
    `precompose` in class `SVGComposite.AlphaPreCompositeContext`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.